package de.ivu.elect.business.benutzerverwaltung.entity;

import java.io.Serializable;

import de.ivu.elect.jee.security.IpHostname;

public class BenutzerkennungIpHostname implements Serializable {

  private final String kennung;

  private final IpHostname ipHostname;

  public BenutzerkennungIpHostname(String kennung, IpHostname ipHostname) {
    this.kennung = kennung;
    this.ipHostname = ipHostname;
  }

  public String getKennung() {
    return kennung;
  }

  public IpHostname getIpHostname() {
    return ipHostname;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;

    BenutzerkennungIpHostname that = (BenutzerkennungIpHostname) o;

    if (kennung != null ? !kennung.equals(that.kennung) : that.kennung != null) return false;
    return ipHostname != null ? ipHostname.equals(that.ipHostname) : that.ipHostname == null;
  }

  @Override
  public int hashCode() {
    int result = kennung != null ? kennung.hashCode() : 0;
    result = 31 * result + (ipHostname != null ? ipHostname.hashCode() : 0);
    return result;
  }
}
